Remove qtdeclarative's dependency on qtscript master_201108021213
authorRohan McGovern <rohan.mcgovern@nokia.com>
Sun, 31 Jul 2011 23:19:53 +0000 (09:19 +1000)
committerQt by Nokia <qt-info@nokia.com>
Tue, 2 Aug 2011 02:07:05 +0000 (04:07 +0200)
Since d410ad364ec0b8877797145c68a4d7c3c98ce1c0 in qtdeclarative,
qtscript is no longer required to build qtdeclarative.  Remove the
dependency.

Change-Id: Ia1af0121ed05735c8dbec545b8dda30d3d37aa99
Reviewed-on: http://codereview.qt.nokia.com/2405
Reviewed-by: Alan Alpert <alan.alpert@nokia.com>
Reviewed-by: Qt Sanity Bot <qt_sanity_bot@ovi.com>
qt.pro

diff --git a/qt.pro b/qt.pro
index 07f30b3..0d2a1a0 100644 (file)
--- a/qt.pro
+++ b/qt.pro
@@ -27,7 +27,7 @@ module_qtscript.depends = module_qtbase
 
 module_qtdeclarative.subdir = $$IN_PWD/qtdeclarative
 module_qtdeclarative.target = module-qtdeclarative
-module_qtdeclarative.depends = module_qtbase module_qtscript module_qtsvg module_qtxmlpatterns
+module_qtdeclarative.depends = module_qtbase module_qtsvg module_qtxmlpatterns
 
 module_qtwebkit.file = qtwebkit.pri
 module_qtwebkit.makefile = Makefile.qtwebkit